org.wso2.carbon.mdm.services.android.common

## Class ValidationInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>
  - - org.wso2.carbon.mdm.services.android.common.ValidationInterceptor

- All Implemented Interfaces:
    org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>, org.apache.cxf.phase.PhaseInterceptor<org.apache.cxf.message.Message>

      public class ValidationInterceptor
      extends org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ValidationInterceptor()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleFault(org.apache.cxf.message.Message messageParam)`
    `void` | `handleMessage(org.apache.cxf.message.Message message)`
    `<T> void` | `validate(Method method, Object[] arguments, T instance)`
    `<T> void` | `validate(T object)`

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ValidationInterceptor

          public ValidationInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage(org.apache.cxf.message.Message message)
                             throws org.apache.cxf.interceptor.Fault

      Throws:
        `org.apache.cxf.interceptor.Fault`

    - #### validate

          public <T> void validate(Method method,
                          Object[] arguments,
                          T instance)

    - #### validate

          public <T> void validate(T object)

    - #### handleFault

          public void handleFault(org.apache.cxf.message.Message messageParam)

      Specified by:
        `handleFault` in interface `org.apache.cxf.interceptor.Interceptor<org.apache.cxf.message.Message>`
      Overrides:
        `handleFault` in class `org.apache.cxf.phase.AbstractPhaseInterceptor<org.apache.cxf.message.Message>`

Copyright © 2017 WSO2. All rights reserved.